Bug 1657283 - ntop install fails
Summary: ntop install fails
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ntop
Version: 29
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-07 15:13 UTC by Łukasz Posadowski
Modified: 2019-11-27 21:45 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 21:45:41 UTC


Attachments (Terms of Use)

Description Łukasz Posadowski 2018-12-07 15:13:49 UTC
Description of problem:
Package ntop-5.0.1-15.fc28.x86_64 could not be installed, or built. I know it says 28 in the package name, but that is what we have in F29 repos.

Version-Release number of selected component (if applicable):
ntop-5.0.1-15.fc28.x86_64

How reproducible:
Always

Steps to Reproduce:
1. dnf install ntop
2.
3.

Actual results:
dnf install ntop
Last metadata expiration check: 0:01:58 ago on Fri Dec  7 15:56:07 2018.
Error: 
 Problem: conflicting requests
  - nothing provides libgdbm.so.4()(64bit) needed by ntop-5.0.1-15.fc28.x86_64
  - nothing provides libnetsnmp.so.30()(64bit) needed by ntop-5.0.1-15.fc28.x86_64

It seems that libgbdm and libnetsnmp are in never versions, than ntop is expecting.

Expected results:
Installed ntop

Additional info:
I tried to rebuild src.rpm package, but dnf builddep listed missing dependencies:

dnf builddep ntop-5.0.1-123.fc29.src.rpm
Last metadata expiration check: 0:11:14 ago on Fri Dec  7 15:56:07 2018.
Package autoconf-2.69-28.fc29.noarch is already installed.
Package automake-1.16.1-5.fc29.noarch is already installed.
Package pkgconf-pkg-config-1.5.3-2.fc29.x86_64 is already installed.
Package systemd-239-6.git9f3aed1.fc29.x86_64 is already installed.
No matching package to install: 'tcp_wrappers-devel'
Package wget-1.19.5-5.fc29.x86_64 is already installed.
Not all dependencies satisfied
Error: Some packages could not be found.

Comment 1 rh1 2019-04-01 03:04:07 UTC
I believe this bug and "Bug 1644735 - ntop requires unfulfillable libgdbm.so" are related.

Comment 2 Ben Cotton 2019-10-31 19:41:35 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-11-27 21:45:41 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.